Upgrading Gentoo... after a year of neglect.

Running a healthy Gentoo machine requires a little bit of attention every month or so. But happens if you do nothing for a year and then try to upgrade?
Posted: Sun 13 Jan, 2019, 19:32
Even though I have used Gentoo Linux for years, I have never successfully upgraded an installation. Whenever I needed a latest version of an application, I had to undertake the painful reinstallation process. Although painful, it alway worked. Unlike upgrading, which just never seemed to work for me. This time however I really wanted to master the upgrade.

Sync portage

First it was necessary to sync Portage, the package manager, with latest versions using a command like this:

emaint -a sync

It is highly recommended to run this command every month or so. It had been a year since my last installation and I have never synced in all that time, so I was 12 months out of date. Not a good place to start.

Compiling all the package

Next it was time to recompile all the packages using a command like this:

emerge -utDU --keep-going --with-bdeps=y @world

Which produced all this output. Apart from saying 'You should have updated ages ago!!', what does it mean?

 * IMPORTANT: 13 config files in '/etc/portage' need updating.

    These are the packages that would be merged, in reverse order:

    Calculating dependencies   * See the CONFIGURATION FILES and CONFIGURATION FILES UPDATE TOOLS
     * sections of the emerge man page to learn how to update config files.
    .... . ..... ... done!
    [nomerge       ] dev-java/maven-bin-3.3.3-r1 
    [nomerge       ]  java-virtuals/servlet-api-3.0-r2 
    [ebuild     U  ]   dev-java/tomcat-servlet-api-7.0.90 [7.0.82]
    [nomerge       ] media-gfx/gimp-2.8.22-r1 
    [ebuild   R    ]  media-libs/gegl-0.2.0-r5  USE="jpeg*" 
    [nomerge       ] media-video/makemkv-1.12.0 
    [ebuild     U  ]  dev-qt/qtwidgets-5.11.3 [5.7.1] USE="-gtk%" 
    [ebuild     U  ]  dev-qt/qtdbus-5.11.3 [5.7.1]
    [nomerge       ] dev-perl/XML-RSS-Parser-4.0.0-r1 
    [nomerge       ]  dev-perl/XML-Elemental-2.110.0-r1 
    [ebuild     U  ]   dev-perl/XML-SAX-1.0.0 [0.990.0-r1]
    [nomerge       ] games-board/xboard-4.8.0-r1 
    [nomerge       ]  media-fonts/font-adobe-100dpi-1.0.3-r1 
    [ebuild     U  ]   x11-apps/bdftopcf-1.1 [1.0.5]
    [ebuild     U  ] net-misc/freerdp-2.0.0_rc4 [2.0.0_rc0] USE="jpeg* pulseaudio*" 
    [ebuild   R    ] net-misc/minidlna-1.1.5-r1  KERNEL="(linux%*)" 
    [ebuild   R    ] net-vpn/vpnc-0.5.3_p550  KERNEL="(linux%*)" 
    [ebuild   R    ] net-fs/autofs-5.1.2  KERNEL="(linux%*)" 
    [ebuild     U  ] sys-fs/dosfstools-4.1 [4.0-r1] USE="{-test%}" 
    [ebuild     U  ] media-sound/alsa-utils-1.1.6 [1.1.2]
    [ebuild     U  ] app-misc/tmux-2.7 [2.6]
    [ebuild     U  ] sys-apps/lm_sensors-3.4.0_p20180923 [3.4.0_p20170901]
    [ebuild     U  ] app-admin/sudo-1.8.25_p1-r1 [1.8.20_p2] USE="-sasl% -sssd%" 
    [ebuild     U  ] dev-libs/libcdio-2.0.0-r1 [0.93]
    [ebuild     U  ] dev-util/meld-3.18.2 [3.18.0] PYTHON_SINGLE_TARGET="python3_6* -python3_5*" PYTHON_TARGETS="python3_6* -python3_5*" 
    [ebuild     U  ] dev-vcs/git-2.19.2 [2.16.1]
    [ebuild     U  ] x11-libs/motif-2.3.8-r1 [2.3.7] USE="jpeg*" 
    [ebuild     U  ] net-irc/irssi-1.1.2 [1.0.6]
    [ebuild     U  ] app-office/openoffice-bin-4.1.5 [4.1.4]
    [ebuild   R    ] media-sound/moc-2.5.2  USE="jack*" 
    [ebuild     U  ] media-sound/lame-3.100-r1 [3.100]
    [ebuild     U  ] www-client/firefox-bin-64.0.2-r1 [52.6.0]
    [ebuild   R    ] www-servers/apache-2.4.27-r1  USE="gdbm%*" 
    [ebuild     U  ] sys-boot/grub-2.02-r1 [2.02]
    [ebuild     U  ] app-text/evince-3.28.5 [3.24.2]
    [ebuild   R    ] media-video/mpv-0.27.2  USE="jack* jpeg* pulseaudio*" PYTHON_TARGETS="python3_6* -python3_5*" 
    [ebuild     U  ] app-portage/gentoolkit-0.4.2-r1 [0.4.0] PYTHON_TARGETS="python3_6* -python3_5* (-python3_7)" 
    [ebuild     U  ] media-gfx/gthumb-3.6.1 [3.4.5] USE="-colord%" 
    [nomerge       ] dev-java/groovy-2.4.5 
    [nomerge       ]  dev-java/xstream-1.4.8-r2 
    [nomerge       ]   dev-java/jdom-2.0.6-r4 
    [nomerge       ]    virtual/jdk-1.8.0-r3 
    [nomerge       ]     dev-java/icedtea-bin-3.9.0-r1 [3.7.0] USE="pulseaudio*" 
    [ebuild     U  ]      dev-java/icedtea-web-1.6.2 [1.6.1-r1]
    [nomerge       ] media-video/makemkv-1.12.0 
    [nomerge       ]  dev-qt/qtgui-5.11.3 [5.7.1-r1] USE="jpeg* libinput* -vnc%" 
    [nomerge       ]   x11-libs/xcb-util-image-0.4.0-r1 [0.4.0]
    [nomerge       ]    x11-libs/xcb-util-0.4.0-r1 [0.4.0]
    [ebuild     U  ]     x11-libs/xcb-util-cursor-0.1.3-r2 [0.1.3-r1]
    [nomerge       ] net-print/splix-2.0.0_p20130826 
    [nomerge       ]  app-text/ghostscript-gpl-9.25 [9.21]
    [nomerge       ]   net-print/cups-2.2.7 [2.1.4]
    [ebuild     U  ]    net-print/cups-filters-1.20.4 [1.17.9] USE="jpeg*" 
    [nomerge       ] x11-base/xorg-drivers-1.19 
    [ebuild     U  ]  x11-drivers/xf86-input-evdev-2.10.6 [2.10.5]
    [ebuild     U  ]  x11-drivers/xf86-input-synaptics-1.9.1 [1.9.0]
    [nomerge       ] media-video/mpv-0.27.2  USE="jack* jpeg* pulseaudio*" PYTHON_TARGETS="python3_6* -python3_5*" 
    [nomerge       ]  media-sound/pulseaudio-12.2 [11.1] USE="jack* -gconf% -qt5%" 
    [ebuild     U  ]   media-plugins/alsa-plugins-1.1.6 [1.1.1-r1] USE="jack* mix%* usb_stream%* -arcam_av% -oss%" 
    [ebuild     U  ] x11-drivers/nvidia-drivers-415.25 [390.42]
    [nomerge       ] media-fonts/corefonts-1-r7 
    [ebuild     U  ]  media-fonts/encodings-1.0.4-r3 [1.0.4-r1] USE="(-X)" 
    [nomerge       ] dev-java/icedtea-bin-3.9.0-r1 [3.7.0] USE="pulseaudio*" 
    [nomerge       ]  net-print/cups-2.2.7 [2.1.4]
    [nomerge       ]   x11-misc/xdg-utils-1.1.3-r1 [1.1.1-r1]
    [nomerge       ]    dev-perl/Net-DBus-1.1.0  USE="{-test}" 
    [nomerge       ]     dev-perl/XML-Twig-3.520.0  USE="nls {-test}" 
    [nomerge       ]      dev-perl/libwww-perl-6.270.0  USE="ssl {-test}" 
    [nomerge       ]       dev-perl/HTTP-Daemon-6.10.0-r2 
    [nomerge       ]        dev-perl/HTTP-Message-6.130.0  USE="{-test}" 
    [nomerge       ]         dev-perl/URI-1.730.0  USE="{-test}" 
    [nomerge       ]          virtual/perl-parent-0.236.0-r1 
    [nomerge       ]           dev-lang/perl-5.24.3-r1 [5.24.3]
    [ebuild     U  ]            app-admin/perl-cleaner-2.27 [2.25]
    [ebuild     U  ] sys-apps/grep-3.1-r1 [3.0]
    [ebuild     U  ] virtual/package-manager-1 [0]
    [ebuild     U  ] sys-apps/diffutils-3.6-r1 [3.5]
    [ebuild     U  ] net-misc/wget-1.20.1 [1.19.1-r2]
    [nomerge       ] virtual/shadow-0 
    [ebuild     U  ]  sys-apps/shadow-4.6 [4.5]
    [nomerge       ] app-editors/vim-8.0.1298  PYTHON_SINGLE_TARGET="python3_6* -python3_5*" PYTHON_TARGETS="python3_6* -python3_5*" 
    [nomerge       ]  app-editors/vim-core-8.0.1298 
    [ebuild     U  ]   app-vim/gentoo-syntax-20181023 [20170225]
    [nomerge       ] media-gfx/gthumb-3.6.1 [3.4.5] USE="-colord%" 
    [nomerge       ]  app-cdr/brasero-3.12.2-r1 
    [ebuild     U  ]   media-plugins/gst-plugins-meta-1.14.3 [1.12.3] USE="jack* pulseaudio*" 
    [ebuild     U  ]    media-plugins/gst-plugins-resindvd-1.14.3 [1.12.3]
    [nomerge       ] app-cdr/brasero-3.12.2-r1 
    [nomerge       ]  media-libs/gst-plugins-good-1.14.4 [1.12.3]
    [nomerge       ]   media-libs/gst-plugins-base-1.14.4-r1 [1.12.3] USE="egl%* opengl%* -gbm% -gles2% -wayland%" 
    [blocks b      ]    <media-libs/gst-plugins-bad-1.13.1:1.0 ("<media-libs/gst-plugins-bad-1.13.1:1.0" is blocking media-libs/gstreamer-1.14.4, media-libs/gst-plugins-base-1.14.4-r1)
    [ebuild     U  ]     media-libs/gst-plugins-bad-1.14.3 [1.12.3]
    [nomerge       ] media-plugins/gst-plugins-meta-1.14.3 [1.12.3] USE="jack* pulseaudio*" 
    [ebuild     U  ]  media-plugins/gst-plugins-dvdread-1.14.3 [1.12.3]
    [ebuild  N     ]  media-plugins/gst-plugins-jack-1.14.4  ABI_X86="(64) -32 (-x32)" 
    [ebuild     U  ]  media-plugins/gst-plugins-a52dec-1.14.3 [1.12.3]
    [ebuild     U  ]  media-plugins/gst-plugins-mpeg2dec-1.14.3 [1.12.3]
    [ebuild  N     ]  media-plugins/gst-plugins-pulse-1.14.4  ABI_X86="(64) -32 (-x32)" 
    [ebuild     U  ]  media-libs/gst-plugins-ugly-1.14.3 [1.12.3]
    [ebuild     U  ]  media-libs/gst-plugins-good-1.14.4 [1.12.3]
    [ebuild     U  ]   media-libs/gst-plugins-base-1.14.4-r1 [1.12.3] USE="egl%* opengl%* -gbm% -gles2% -wayland%" 
    [ebuild     U  ]    media-libs/gstreamer-1.14.4 [1.12.3]
    [nomerge       ] sys-fs/fuse-exfat-1.2.8 
    [nomerge       ]  sys-fs/fuse-2.9.8 [2.9.7]
    [nomerge       ]   sys-fs/fuse-common-3.2.6 
    [blocks b      ]    <sys-fs/fuse-2.9.7-r1:0 ("<sys-fs/fuse-2.9.7-r1:0" is blocking sys-fs/fuse-common-3.2.6)
    [ebuild     U  ]     sys-fs/fuse-2.9.8 [2.9.7]
    [ebuild  N     ]      sys-fs/fuse-common-3.2.6 
    [nomerge       ] app-cdr/brasero-3.12.2-r1 
    [nomerge       ]  x11-libs/libnotify-0.7.7-r1 [0.7.7]
    [nomerge       ]   virtual/notification-daemon-0 
    [ebuild     U  ]    x11-misc/notification-daemon-3.20.0 [3.14.1]
    [ebuild   R    ]  media-libs/libcanberra-0.30-r5  USE="pulseaudio*" 
    [nomerge       ] dev-qt/qtwidgets-5.11.3 [5.7.1] USE="-gtk%" 
    [ebuild     U  ]  dev-qt/qtgui-5.11.3 [5.7.1-r1] USE="jpeg* libinput* -vnc%" 
    [nomerge       ] dev-util/meld-3.18.2 [3.18.0] PYTHON_SINGLE_TARGET="python3_6* -python3_5*" PYTHON_TARGETS="python3_6* -python3_5*" 
    [ebuild     U  ]  x11-libs/gtksourceview-3.24.8 [3.24.6]
    [nomerge       ] media-video/mpv-0.27.2  USE="jack* jpeg* pulseaudio*" PYTHON_TARGETS="python3_6* -python3_5*" 
    [ebuild     U  ]  virtual/opengl-7.0-r2 [7.0-r1]
    [nomerge       ] app-text/evince-3.28.5 [3.24.2]
    [ebuild     U  ]  x11-libs/gtk+-3.24.1 [3.22.19] USE="-gtk-doc%" 
    [ebuild     U  ]   media-libs/libepoxy-1.5.3 [1.4.2]
    [nomerge       ] x11-base/xorg-server-1.19.5-r1 
    [nomerge       ]  media-libs/libepoxy-1.5.3 [1.4.2]
    [nomerge       ]   media-libs/mesa-18.2.8 [17.2.8] USE="-lm_sensors% {-test%}" 
    [blocks b      ]    app-eselect/eselect-mesa ("app-eselect/eselect-mesa" is blocking media-libs/mesa-18.2.8)
    [uninstall     ]     app-eselect/eselect-mesa-0.0.10-r1 
    [ebuild     U  ]   media-libs/mesa-18.2.8 [17.2.8] USE="-lm_sensors% {-test%}" 
    [nomerge       ] dev-java/icedtea-bin-3.9.0-r1 [3.7.0] USE="pulseaudio*" 
    [ebuild  N     ]  dev-java/icedtea-sound-1.0.1  USE="doc {-test}" 
    [ebuild     U  ] dev-java/icedtea-bin-3.9.0-r1 [3.7.0] USE="pulseaudio*" 
    [ebuild     U  ] x11-libs/libnotify-0.7.7-r1 [0.7.7]
    [nomerge       ] app-text/evince-3.28.5 [3.24.2]
    [ebuild     U  ]  app-text/libspectre-0.2.8 [0.2.7]
    [ebuild     U  ]   app-text/ghostscript-gpl-9.25 [9.21]
    [ebuild     U  ]    net-print/cups-2.2.7 [2.1.4]
    [nomerge       ] dev-java/icedtea-bin-3.9.0-r1 [3.7.0] USE="pulseaudio*" 
    [ebuild     U  ]  x11-libs/gtk+-2.24.32-r1 [2.24.31-r1]
    [nomerge       ] media-video/mpv-0.27.2  USE="jack* jpeg* pulseaudio*" PYTHON_TARGETS="python3_6* -python3_5*" 
    [ebuild   R    ]  media-video/ffmpeg-3.3.6  USE="jack* pulseaudio*" 
    [ebuild     U  ]   media-sound/pulseaudio-12.2 [11.1] USE="jack* -gconf% -qt5%" 
    [nomerge       ] app-text/evince-3.28.5 [3.24.2]
    [ebuild     U  ]  gnome-base/gvfs-1.32.2 [1.32.1-r1]
    [nomerge       ] media-plugins/gst-plugins-meta-1.14.3 [1.12.3] USE="jack* pulseaudio*" 
    [nomerge       ]  media-libs/gst-plugins-base-1.14.4-r1 [1.12.3] USE="egl%* opengl%* -gbm% -gles2% -wayland%" 
    [ebuild  N     ]   media-libs/graphene-1.8.2  USE="introspection -doc {-test}" ABI_X86="(64) -32 (-x32)" CPU_FLAGS_X86="sse2" 
    [nomerge       ] app-cdr/brasero-3.12.2-r1 
    [nomerge       ]  gnome-base/gvfs-1.32.2 [1.32.1-r1]
    [ebuild     U  ]   app-crypt/gcr-3.28.0 [3.20.0]
    [ebuild     U  ] x11-misc/xdg-utils-1.1.3-r1 [1.1.1-r1]
    [ebuild     U  ]  dev-perl/File-MimeInfo-0.280.0 [0.270.0]
    [nomerge       ] www-client/firefox-bin-64.0.2-r1 [52.6.0]
    [ebuild     U  ]  dev-libs/dbus-glib-0.110 [0.108]
    [nomerge       ] www-client/firefox-bin-64.0.2-r1 [52.6.0]
    [nomerge       ]  x11-libs/gtk+-2.24.32-r1 [2.24.31-r1]
    [ebuild     U  ]   x11-themes/gnome-themes-standard-3.22.3-r1 [3.22.3]
    [nomerge       ] dev-util/meld-3.18.2 [3.18.0] PYTHON_SINGLE_TARGET="python3_6* -python3_5*" PYTHON_TARGETS="python3_6* -python3_5*" 
    [ebuild     U  ]  dev-python/pygobject-3.28.3 [3.24.1] PYTHON_TARGETS="python3_6* -python3_5* (-python3_7)" 
    [ebuild     U  ]   dev-python/pycairo-1.17.0-r1 [1.15.3] PYTHON_TARGETS="python3_6* (-pypy) (-pypy3) -python3_5* (-python3_7)" 
    [nomerge       ] www-client/firefox-bin-64.0.2-r1 [52.6.0]
    [nomerge       ]  x11-libs/gtk+-3.24.1 [3.22.19] USE="-gtk-doc%" 
    [ebuild     U  ]   app-accessibility/at-spi2-atk-2.26.2 [2.24.1]
    [ebuild     U  ]    app-accessibility/at-spi2-core-2.26.2 [2.24.1]
    [nomerge       ] app-text/evince-3.28.5 [3.24.2]
    [ebuild     U  ]  app-text/poppler-0.68.0 [0.62.0-r1]
    [nomerge       ] x11-misc/notification-daemon-3.20.0 [3.14.1]
    [nomerge       ]  x11-libs/gtk+-3.24.1 [3.22.19] USE="-gtk-doc%" 
    [ebuild     U  ]   dev-util/gtk-update-icon-cache-3.24.0 [3.22.19]
    [nomerge       ] dev-qt/qtgui-5.11.3 [5.7.1-r1] USE="jpeg* libinput* -vnc%" 
    [ebuild     U  ]  dev-qt/qtcore-5.11.3-r2 [5.7.1-r4]
    [nomerge       ] app-text/evince-3.28.5 [3.24.2]
    [nomerge       ]  gnome-base/librsvg-2.40.18 
    [ebuild     U  ]   x11-libs/pango-1.42.4 [1.40.14]
    [ebuild     U  ]  dev-libs/atk-2.28.1 [2.24.0]
    [ebuild     U  ]  x11-libs/gdk-pixbuf-2.36.12 [2.36.11] USE="jpeg*" 
    [nomerge       ] app-text/evince-3.28.5 [3.24.2]
    [nomerge       ]  x11-themes/adwaita-icon-theme-3.24.0 
    [nomerge       ]   gnome-base/librsvg-2.40.18 
    [nomerge       ]    dev-libs/gobject-introspection-common-1.56.1 [1.52.1]
    [blocks b      ]     <dev-libs/gobject-introspection-1.56.1 ("<dev-libs/gobject-introspection-1.56.1" is blocking dev-libs/gobject-introspection-common-1.56.1)
    [ebuild     U  ]      dev-libs/gobject-introspection-1.56.1 [1.52.1] PYTHON_SINGLE_TARGET="python3_6* -python3_5* (-python3_7)" PYTHON_TARGETS="python3_6* -python3_5* (-python3_7)" 
    [ebuild     U  ]       x11-misc/shared-mime-info-1.10 [1.9]
    [nomerge       ] games-board/xboard-4.8.0-r1 
    [nomerge       ]  gnome-base/librsvg-2.40.18 
    [nomerge       ]   dev-util/glib-utils-2.56.4  PYTHON_SINGLE_TARGET="python3_6 -python3_5 (-python3_7)" PYTHON_TARGETS="python3_6 -python3_5 (-python3_7)" 
    [blocks b      ]    <dev-libs/glib-2.56.2:2 ("<dev-libs/glib-2.56.2:2" is blocking dev-util/glib-utils-2.56.4)
    [ebuild     U  ]     dev-libs/glib-2.56.4 [2.52.3]
    [ebuild  N     ]      dev-util/glib-utils-2.56.4  PYTHON_SINGLE_TARGET="python3_6 -python3_5 (-python3_7)" PYTHON_TARGETS="python3_6 -python3_5 (-python3_7)" 
    [nomerge       ] x11-libs/xcb-util-cursor-0.1.3-r2 [0.1.3-r1]
    [ebuild     U  ]  x11-libs/xcb-util-image-0.4.0-r1 [0.4.0]
    [ebuild     U  ]   x11-libs/xcb-util-0.4.0-r1 [0.4.0]
    [ebuild  N     ] dev-perl/Net-DBus-1.1.0  USE="{-test}" 
    [ebuild   R    ]  sys-apps/dbus-1.10.24  KERNEL="(linux%*)" 
    [ebuild     U  ]   app-text/xmlto-0.0.28-r1 [0.0.26-r1]
    [nomerge       ] x11-misc/xdg-utils-1.1.3-r1 [1.1.1-r1]
    [nomerge       ]  app-text/xmlto-0.0.28-r1 [0.0.26-r1]
    [nomerge       ]   virtual/w3m-0 
    [ebuild     U  ]    www-client/w3m-0.5.3_p20180125 [0.5.3-r9] USE="-gdk-pixbuf%" L10N="-de%" 
    [nomerge       ] dev-qt/qtgui-5.11.3 [5.7.1-r1] USE="jpeg* libinput* -vnc%" 
    [ebuild     U  ]  x11-libs/libxkbcommon-0.8.2 [0.7.1]
    [nomerge       ] media-video/mpv-0.27.2  USE="jack* jpeg* pulseaudio*" PYTHON_TARGETS="python3_6* -python3_5*" 
    [ebuild     U  ]  x11-libs/libXScrnSaver-1.2.3 [1.2.2-r1]
    [nomerge       ] gnome-base/gvfs-1.32.2 [1.32.1-r1]
    [ebuild     U  ]  net-misc/openssh-7.7_p1-r9 [7.5_p1-r4] USE="X* -hpn*" 
    [nomerge       ] x11-misc/xdg-utils-1.1.3-r1 [1.1.1-r1]
    [ebuild  N     ]  dev-perl/X11-Protocol-0.560.0-r1 
    [nomerge       ] x11-base/xorg-server-1.19.5-r1 
    [ebuild     U  ]  x11-apps/xinit-1.4.0 [1.3.4-r3]
    [ebuild     U  ]  x11-libs/libXfont2-2.0.3-r1 [2.0.3]
    [ebuild     U  ]  x11-apps/xkbcomp-1.4.2 [1.4.0]
    [nomerge       ] x11-wm/openbox-3.6.1 
    [ebuild     U  ]  x11-libs/libXft-2.3.2-r1 [2.3.2]
    [nomerge       ] dev-qt/qtgui-5.11.3 [5.7.1-r1] USE="jpeg* libinput* -vnc%" 
    [ebuild     U  ]  x11-libs/xcb-util-keysyms-0.4.0-r1 [0.4.0]
    [ebuild     U  ]  x11-libs/xcb-util-wm-0.4.1-r2 [0.4.1-r1]
    [nomerge       ] x11-wm/openbox-3.6.1 
    [ebuild     U  ]  x11-libs/libXinerama-1.1.4 [1.1.3]
    [nomerge       ] x11-terms/xterm-327 
    [nomerge       ]  x11-apps/luit-1.1.1 
    [ebuild     U  ]   x11-libs/libfontenc-1.1.3-r1 [1.1.3]
    [nomerge       ] x11-base/xorg-server-1.19.5-r1 
    [nomerge       ]  media-libs/mesa-18.2.8 [17.2.8] USE="-lm_sensors% {-test%}" 
    [ebuild     U  ]   x11-libs/libXxf86vm-1.1.4-r1 [1.1.4]
    [ebuild     U  ]   x11-libs/libxshmfence-1.3-r1 [1.2]
    [nomerge       ] dev-qt/qtgui-5.11.3 [5.7.1-r1] USE="jpeg* libinput* -vnc%" 
    [ebuild     U  ]  x11-libs/xcb-util-renderutil-0.3.9-r2 [0.3.9-r1]
    [nomerge       ] x11-base/xorg-server-1.19.5-r1 
    [ebuild     U  ]  x11-libs/libxkbfile-1.0.9-r2 [1.0.9] ABI_X86="(64%*) -32% (-x32)" 
    [nomerge       ] dev-java/icedtea-bin-3.9.0-r1 [3.7.0] USE="pulseaudio*" 
    [ebuild     U  ]  x11-libs/libXcomposite-0.4.4-r2 [0.4.4-r1]
    [ebuild     U  ]  x11-libs/libXtst-1.2.3-r1 [1.2.3]
    [nomerge       ] media-video/mpv-0.27.2  USE="jack* jpeg* pulseaudio*" PYTHON_TARGETS="python3_6* -python3_5*" 
    [ebuild     U  ]  x11-libs/libXv-1.0.11-r1 [1.0.11]
    [ebuild     U  ]  x11-libs/libXdamage-1.1.4-r2 [1.1.4-r1]
    [ebuild     U  ]  x11-libs/libXrandr-1.5.1-r1 [1.5.1]
    [nomerge       ] dev-java/icedtea-bin-3.9.0-r1 [3.7.0] USE="pulseaudio*" 
    [ebuild     U  ]  x11-libs/libXi-1.7.9-r1 [1.7.9]
    [ebuild     U  ]   x11-libs/libXfixes-5.0.3-r1 [5.0.3]
    [ebuild     U  ]  x11-libs/libXrender-0.9.10-r1 [0.9.10]
    [nomerge       ] sys-apps/portage-2.3.51-r1 [2.3.24-r1] USE="rsync-verify*" PYTHON_TARGETS="python3_6* -python3_5* (-python3_7)" 
    [nomerge       ]  app-crypt/gnupg-2.2.10 [2.2.4-r2]
    [nomerge       ]   virtual/mta-1 
    [nomerge       ]    mail-mta/nullmailer-2.0-r1 
    [ebuild     U  ]     sys-apps/groff-1.22.3 [1.22.2] USE="X*" 
    [ebuild     U  ]      x11-libs/libXaw-1.0.13-r1 [1.0.13]
    [ebuild     U  ]       x11-libs/libXpm-3.5.12-r1 [3.5.12]
    [ebuild   R    ] app-editors/vim-8.0.1298  PYTHON_SINGLE_TARGET="python3_6* -python3_5*" PYTHON_TARGETS="python3_6* -python3_5*" 
    [nomerge       ] app-office/openoffice-bin-4.1.5 [4.1.4]
    [nomerge       ]  x11-libs/libXaw-1.0.13-r1 [1.0.13]
    [ebuild     U  ]   x11-libs/libXmu-1.1.2-r1 [1.1.2]
    [ebuild     U  ]    x11-libs/libXt-1.1.5-r1 [1.1.5]
    [ebuild     U  ]    x11-libs/libXext-1.3.3-r1 [1.3.3]
    [ebuild     U  ]     x11-libs/libX11-1.6.7 [1.6.5]
    [ebuild     U  ]      x11-libs/libxcb-1.13.1 [1.12-r2]
    [ebuild     U  ]       x11-libs/libXdmcp-1.1.2-r2 [1.1.2-r1]
    [ebuild     U  ]       x11-libs/libXau-1.0.8-r1 [1.0.8]
    [nomerge       ] www-client/firefox-bin-64.0.2-r1 [52.6.0]
    [nomerge       ]  media-sound/pulseaudio-12.2 [11.1] USE="jack* -gconf% -qt5%" 
    [ebuild     U  ]   x11-libs/libSM-1.2.3 [1.2.2-r1]
    [ebuild     U  ]    x11-libs/libICE-1.0.9-r2 [1.0.9-r1]
    [nomerge       ] dev-java/icedtea-bin-3.9.0-r1 [3.7.0] USE="pulseaudio*" 
    [nomerge       ]  x11-libs/pango-1.42.4 [1.40.14]
    [nomerge       ]   x11-base/xorg-proto-2018.4 
    [blocks b      ]    <x11-proto/xf86bigfontproto-1.2.0-r2 ("<x11-proto/xf86bigfontproto-1.2.0-r2" is blocking x11-base/xorg-proto-2018.4)
    [uninstall     ]     x11-proto/xf86bigfontproto-1.2.0-r1 
    [ebuild  N     ]   x11-base/xorg-proto-2018.4 
    [nomerge       ] virtual/service-manager-0 
    [ebuild     U  ]  sys-apps/openrc-0.38.3-r1 [0.34.11]
    [nomerge       ] gnome-base/gvfs-1.32.2 [1.32.1-r1]
    [ebuild     U  ]  dev-util/gdbus-codegen-2.56.4 [2.52.3] PYTHON_SINGLE_TARGET="python3_6%* -python2_7% -python3_4% -python3_5% (-python3_7)" PYTHON_TARGETS="python3_6* -python3_5* (-python3_7)" 
    [nomerge       ] net-print/cups-filters-1.20.4 [1.17.9] USE="jpeg*" 
    [nomerge       ]  app-text/ghostscript-gpl-9.25 [9.21]
    [ebuild     U  ]   media-libs/fontconfig-2.13.0-r4 [2.12.6]
    [nomerge       ] dev-qt/qtgui-5.11.3 [5.7.1-r1] USE="jpeg* libinput* -vnc%" 
    [ebuild  N     ]  dev-libs/libinput-1.11.3  USE="-doc" INPUT_DEVICES="-wacom" 
    [nomerge       ] media-video/mpv-0.27.2  USE="jack* jpeg* pulseaudio*" PYTHON_TARGETS="python3_6* -python3_5*" 
    [ebuild   R    ]  dev-python/docutils-0.13.1  PYTHON_TARGETS="python3_6* -python3_5*" 
    [ebuild   R    ]   dev-python/pygments-2.2.0  PYTHON_TARGETS="python3_6* -python3_5* (-python3_7)" 
    [nomerge       ] media-video/mpv-0.27.2  USE="jack* jpeg* pulseaudio*" PYTHON_TARGETS="python3_6* -python3_5*" 
    [nomerge       ]  media-libs/mesa-18.2.8 [17.2.8] USE="-lm_sensors% {-test%}" 
    [ebuild  N     ]   dev-python/mako-1.0.6  USE="-doc {-test}" PYTHON_TARGETS="python2_7 python3_6 (-pypy) -python3_4 -python3_5" 
    [ebuild  N     ]    dev-python/markupsafe-0.23  PYTHON_TARGETS="python2_7 python3_6 (-pypy) (-pypy3) -python3_4 -python3_5" 
    [ebuild     U  ]   x11-libs/libdrm-2.4.96 [2.4.88]
    [ebuild  N     ]    dev-util/meson-0.48.2  USE="{-test}" PYTHON_TARGETS="python3_6 -python3_5 (-python3_7)" 
    [nomerge       ] dev-java/jdom-2.0.6-r4 
    [ebuild     U  ]  dev-java/java-config-2.2.0-r4 [2.2.0-r3] PYTHON_TARGETS="python3_6* -python3_5* (-python3_7)" 
    [ebuild     U  ]   sys-apps/portage-2.3.51-r1 [2.3.24-r1] USE="rsync-verify*" PYTHON_TARGETS="python3_6* -python3_5* (-python3_7)" 
    [ebuild  N     ]    app-portage/gemato-14.0  USE="blake2 bzip2 gpg -lzma -sha3 {-test} -tools" PYTHON_TARGETS="python2_7 python3_6 (-pypy) -python3_4 -python3_5 (-python3_7)" 
    [ebuild     U  ]    dev-python/pyxattr-0.6.0-r1 [0.5.5] PYTHON_TARGETS="python3_6%* -python3_5* (-python3_7)" 
    [ebuild     U  ]    dev-python/pyblake2-1.1.2 [1.1.0] PYTHON_TARGETS="python3_6* (-pypy3) -python3_5* (-python3_7)" 
    [nomerge       ] dev-python/mako-1.0.6  USE="-doc {-test}" PYTHON_TARGETS="python2_7 python3_6 (-pypy) -python3_4 -python3_5" 
    [nomerge       ]  dev-python/setuptools-36.7.2  PYTHON_TARGETS="python3_6* -python3_5*" 
    [ebuild     U  ]   dev-python/certifi-2018.4.16 [2017.4.17] PYTHON_TARGETS="python3_6* -python3_5* (-python3_7)" 
    [ebuild   R    ]    dev-python/setuptools-36.7.2  PYTHON_TARGETS="python3_6* -python3_5*" 
    [nomerge       ] media-video/makemkv-1.12.0 
    [nomerge       ]  dev-qt/qtcore-5.11.3-r2 [5.7.1-r4]
    [ebuild     U  ]   dev-libs/double-conversion-3.0.0 [2.0.1] USE="{-test%}" 
    [nomerge       ] app-text/ghostscript-gpl-9.25 [9.21]
    [ebuild     U  ]  net-dns/libidn-1.35 [1.33-r2]
    [nomerge       ] x11-base/xorg-server-1.19.5-r1 
    [ebuild     U  ]  x11-libs/libpciaccess-0.14 [0.13.4]
    [nomerge       ] x11-drivers/nvidia-drivers-415.25 [390.42]
    [ebuild     U  ]  app-eselect/eselect-opencl-1.1.0-r4 [1.1.0-r1]
    [nomerge       ] media-plugins/gst-plugins-resindvd-1.14.3 [1.12.3]
    [nomerge       ]  media-libs/gst-plugins-bad-1.14.3 [1.12.3]
    [nomerge       ]   media-libs/gst-plugins-base-1.14.4-r1 [1.12.3] USE="egl%* opengl%* -gbm% -gles2% -wayland%" 
    [nomerge       ]    media-libs/mesa-18.2.8 [17.2.8] USE="-lm_sensors% {-test%}" 
    [ebuild  NS    ]     sys-devel/llvm-6.0.1 [5.0.1] USE="libffi ncurses -debug -doc -gold -libedit {-test} -xar -xml" ABI_X86="(64) -32 (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 -ARM -Hexagon -Lanai -MSP430 -Mips -PowerPC -Sparc -SystemZ -XCore" 
    [nomerge       ] net-fs/autofs-5.1.2  KERNEL="(linux%*)" 
    [ebuild     U  ]  net-libs/rpcsvc-proto-1.3.1-r1 [0]
    [nomerge       ] app-text/ghostscript-gpl-9.25 [9.21]
    [ebuild     U  ]  media-libs/openjpeg-2.3.0-r1 [2.3.0]
    [nomerge       ] sys-devel/llvm-6.0.1 [5.0.1] USE="libffi ncurses -debug -doc -gold -libedit {-test} -xar -xml" ABI_X86="(64) -32 (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 -ARM -Hexagon -Lanai -MSP430 -Mips -PowerPC -Sparc -SystemZ -XCore" 
    [nomerge       ]  dev-util/cmake-3.9.6 
    [ebuild     U  ]   app-crypt/rhash-1.3.6-r1 [1.3.5] USE="ssl%* -libressl%" 
    [ebuild  NS    ] sys-kernel/gentoo-sources-4.14.83 [4.9.76-r1] USE="-build -experimental -symlink" 
    [nomerge       ] app-text/ghostscript-gpl-9.25 [9.21]
    [ebuild   R    ]  media-libs/lcms-2.9  USE="jpeg*" 
    [nomerge       ] app-text/mupdf-1.11-r1 
    [nomerge       ]  virtual/jpeg-62 
    [ebuild     U  ]   media-libs/libjpeg-turbo-1.5.3-r2 [1.5.1]
    [nomerge       ] dev-java/icedtea-sound-1.0.1  USE="doc {-test}" 
    [nomerge       ]  media-sound/pulseaudio-12.2 [11.1] USE="jack* -gconf% -qt5%" 
    [nomerge       ]   x11-libs/libxcb-1.13.1 [1.12-r2]
    [ebuild     U  ]    x11-base/xcb-proto-1.13 [1.12-r2] PYTHON_TARGETS="-python3_5* (-python3_7)" 
    [ebuild  N     ]   virtual/jack-0  ABI_X86="(64) -32 (-x32)" 
    [ebuild  N     ]    media-sound/jack-audio-connection-kit-0.125.0  USE="alsa pam (-altivec) (-coreaudio) -debug -doc -examples -oss" ABI_X86="(64) -32 (-x32)" CPU_FLAGS_X86="sse -3dnow" 
    [nomerge       ] gnome-base/gvfs-1.32.2 [1.32.1-r1]
    [nomerge       ]  net-libs/libsoup-2.58.2 
    [ebuild     U  ]   dev-db/sqlite-3.24.0 [3.22.0]
    [ebuild     U  ] sys-apps/pciutils-3.5.6 [3.4.1]
    [nomerge       ] www-servers/apache-2.4.27-r1  USE="gdbm%*" 
    [ebuild     U  ]  dev-libs/apr-1.6.3-r3 [1.5.2]
    [nomerge       ] media-sound/moc-2.5.2  USE="jack*" 
    [nomerge       ]  media-sound/jack-audio-connection-kit-0.125.0  USE="alsa pam (-altivec) (-coreaudio) -debug -doc -examples -oss" ABI_X86="(64) -32 (-x32)" CPU_FLAGS_X86="sse -3dnow" 
    [nomerge       ]   media-libs/libsndfile-1.0.28-r1 
    [ebuild     U  ]    media-libs/libvorbis-1.3.6 [1.3.5]
    [nomerge       ] x11-wm/openbox-3.6.1 
    [nomerge       ]  gnome-base/librsvg-2.40.18 
    [nomerge       ]   dev-libs/glib-2.56.4 [2.52.3]
    [nomerge       ]    gnome-base/dconf-0.26.1 
    [nomerge       ]     app-text/docbook-xml-dtd-4.2-r2 
    [ebuild     U  ]      app-text/build-docbook-catalog-1.21 [1.19.1]
    [ebuild     U  ]     dev-libs/libxslt-1.1.32 [1.1.30-r2]
    [nomerge       ] net-misc/freerdp-2.0.0_rc4 [2.0.0_rc0] USE="jpeg* pulseaudio*" 
    [nomerge       ]  media-sound/pulseaudio-12.2 [11.1] USE="jack* -gconf% -qt5%" 
    [nomerge       ]   media-libs/libsndfile-1.0.28-r1 
    [ebuild     U  ]    media-libs/alsa-lib-1.1.6-r1 [1.1.2] USE="thread-safety%*" PYTHON_SINGLE_TARGET="python3_6%* -python2_7% -python3_4% -python3_5%" PYTHON_TARGETS="python3_6%* -python3_4% -python3_5%" 
    [nomerge       ] media-gfx/gthumb-3.6.1 [3.4.5] USE="-colord%" 
    [nomerge       ]  gnome-base/librsvg-2.40.18 
    [ebuild     U  ]   dev-libs/libxml2-2.9.8 [2.9.7] PYTHON_TARGETS="python3_6* -python3_5* (-python3_7)" 
    [nomerge       ] app-portage/gemato-14.0  USE="blake2 bzip2 gpg -lzma -sha3 {-test} -tools" PYTHON_TARGETS="python2_7 python3_6 (-pypy) -python3_4 -python3_5 (-python3_7)" 
    [ebuild  N     ]  dev-python/bz2file-0.98  PYTHON_TARGETS="python2_7 (-pypy)" 
    [ebuild     U  ]  app-crypt/gnupg-2.2.10 [2.2.4-r2]
    [ebuild     U  ]   app-crypt/pinentry-1.1.0-r2 [1.0.0-r2] USE="-fltk%" 
    [nomerge       ] virtual/dev-manager-0-r2 [0-r1]
    [nomerge       ]  virtual/udev-217 
    [ebuild   R    ]   sys-fs/eudev-3.2.5  KERNEL="(linux%*)" 
    [nomerge       ] dev-vcs/git-2.19.2 [2.16.1]
    [nomerge       ]  app-crypt/gnupg-2.2.10 [2.2.4-r2]
    [ebuild     U  ]   net-misc/curl-7.62.0 [7.58.0]
    [ebuild     U  ]   dev-libs/libgcrypt-1.8.3 [1.8.1] USE="-o-flag-munging%" 
    [nomerge       ] net-misc/freerdp-2.0.0_rc4 [2.0.0_rc0] USE="jpeg* pulseaudio*" 
    [nomerge       ]  dev-libs/openssl-1.0.2q [1.0.2n]
    [ebuild     U  ]   app-misc/ca-certificates-20180409.3.37 [20161130.3.30.2]
    [nomerge       ] dev-python/pyxattr-0.6.0-r1 [0.5.5] PYTHON_TARGETS="python3_6%* -python3_5* (-python3_7)" 
    [ebuild     U  ]  dev-lang/python-2.7.15 [2.7.14-r1] USE="-bluetooth%" 
    [ebuild     U  ]  dev-lang/python-3.6.5 [3.6.3-r1]
    [ebuild  NS    ]   sys-devel/automake-1.16.1-r1 [1.11.6-r3, 1.15.1-r2] USE="{-test}" 
    [ebuild     U  ]    sys-apps/help2man-1.47.6 [1.47.4]
    [ebuild  NS    ] sys-devel/gcc-7.3.0-r3 [6.4.0-r1] USE="cxx fortran (multilib) nls nptl openmp pch (pie) sanitize ssp vtv (-altivec) -cilk -debug -doc (-fixed-point) -go -graphite (-hardened) (-jit) (-libssp) -mpx -objc -objc++ -objc-gc -pgo -regression-test -vanilla" 
    [ebuild  NS    ]  sys-devel/binutils-2.30-r4 [2.29.1-r1] USE="cxx nls -doc -multitarget -static-libs {-test}" 
    [ebuild     U  ] sys-apps/iproute2-4.17.0-r1 [4.14.1-r2] USE="-caps% -elf%" 
    [ebuild     U  ]  sys-devel/bison-3.1 [3.0.4-r1]
    [ebuild     U  ] sys-fs/e2fsprogs-1.43.9 [1.43.6]
    [ebuild     U  ]  sys-libs/e2fsprogs-libs-1.43.9 [1.43.6]
    [ebuild     U  ] app-arch/tar-1.31-r1 [1.29-r3]
    [ebuild     U  ] sys-process/psmisc-23.1-r1 [22.21-r3] USE="X*" 
    [ebuild     U  ] sys-apps/util-linux-2.33-r1 [2.30.2-r1] PYTHON_TARGETS="python3_6* -python3_5* (-python3_7)" 
    [ebuild     U  ]  sys-libs/pam-1.3.0-r2 [1.2.1-r2] USE="-vim-syntax%" 
    [nomerge       ] mail-mta/nullmailer-2.0-r1 
    [ebuild     U  ]  net-libs/gnutls-3.5.19 [3.5.15]
    [nomerge       ] app-crypt/gnupg-2.2.10 [2.2.4-r2]
    [ebuild     U  ]  dev-libs/libgpg-error-1.29 [1.27-r1]
    [nomerge       ] sys-apps/portage-2.3.51-r1 [2.3.24-r1] USE="rsync-verify*" PYTHON_TARGETS="python3_6* -python3_5* (-python3_7)" 
    [ebuild     U  ]  app-admin/eselect-1.4.13 [1.4.11]
    [ebuild     U  ] sys-devel/make-4.2.1-r4 [4.2.1]
    [ebuild     U  ] sys-apps/sed-4.5 [4.2.2] USE="-forced-sandbox%" 
    [ebuild     U  ] net-misc/dhcpcd-7.0.1 [6.11.5]
    [ebuild     U  ] net-ftp/vsftpd-3.0.3-r2 [3.0.2-r1] USE="-libressl%" 
    [ebuild     U  ] sys-process/procps-3.3.15-r1 [3.3.12-r1]
    [nomerge       ] www-client/w3m-0.5.3_p20180125 [0.5.3-r9] USE="-gdk-pixbuf%" L10N="-de%" 
    [ebuild     U  ]  dev-libs/boehm-gc-7.6.4 [7.4.2] USE="threads*" ABI_X86="(64%*) -32% (-x32)" 
    [nomerge       ] media-video/mpv-0.27.2  USE="jack* jpeg* pulseaudio*" PYTHON_TARGETS="python3_6* -python3_5*" 
    [nomerge       ]  media-libs/libass-0.13.6 
    [ebuild     U  ]   dev-libs/fribidi-1.0.5 [0.19.6]
    [ebuild     U  ]   media-libs/freetype-2.9.1-r3 [2.8] USE="-bindist*" 
    [nomerge       ] sys-apps/portage-2.3.51-r1 [2.3.24-r1] USE="rsync-verify*" PYTHON_TARGETS="python3_6* -python3_5* (-python3_7)" 
    [ebuild     U  ]  sys-apps/sandbox-2.13 [2.12]
    [nomerge       ] sys-apps/pciutils-3.5.6 [3.4.1]
    [ebuild   R    ]  sys-apps/kmod-24  PYTHON_TARGETS="python3_6* -python3_5*" 
    [nomerge       ] sys-apps/portage-2.3.51-r1 [2.3.24-r1] USE="rsync-verify*" PYTHON_TARGETS="python3_6* -python3_5* (-python3_7)" 
    [ebuild     U  ]  app-misc/pax-utils-1.2.3 [1.2.2-r2]
    [ebuild     U  ] virtual/editor-0-r2 [0]
    [nomerge       ] media-libs/libepoxy-1.5.3 [1.4.2]
    [nomerge       ]  dev-lang/python-3.6.5 [3.6.3-r1]
    [ebuild     U  ]   app-eselect/eselect-python-20171204 [20160516]
    [ebuild     U  ] sys-apps/man-pages-4.16 [4.14]
    [ebuild     U  ] virtual/dev-manager-0-r2 [0-r1]
    [ebuild     U  ] net-dialup/ppp-2.4.7-r6 [2.4.7-r3]
    [ebuild     U  ] net-misc/iputils-20180629 [20171016_pre]
    [nomerge       ] media-sound/jack-audio-connection-kit-0.125.0  USE="alsa pam (-altivec) (-coreaudio) -debug -doc -examples -oss" ABI_X86="(64) -32 (-x32)" CPU_FLAGS_X86="sse -3dnow" 
    [ebuild  N     ]  sys-auth/realtime-base-0.1 
    [nomerge       ] media-plugins/gst-plugins-pulse-1.14.4  ABI_X86="(64) -32 (-x32)" 
    [nomerge       ]  media-sound/pulseaudio-12.2 [11.1] USE="jack* -gconf% -qt5%" 
    [ebuild     U  ]   sys-libs/libcap-2.25 [2.24-r2]
    [nomerge       ] dev-perl/XML-RSS-Parser-4.0.0-r1 
    [ebuild     U  ]  dev-perl/Class-ErrorHandler-0.40.0 [0.30.0]
    [ebuild     U  ] net-analyzer/traceroute-2.1.0 [2.0.20]
    [ebuild     U  ] sys-fs/lsscsi-0.29 [0.28]
    [ebuild     U  ] sys-apps/less-531 [529]
    [ebuild     U  ] sys-apps/baselayout-2.6-r1 [2.4.1-r2] USE="split-usr%*" 
    [ebuild     U  ] sys-apps/net-tools-1.60_p20180626073013 [1.60_p20161110235919]
    [ebuild     U  ] sys-apps/busybox-1.29.3 [1.28.0]
    [nomerge       ] x11-drivers/nvidia-drivers-415.25 [390.42]
    [nomerge       ]  x11-libs/gtk+-2.24.32-r1 [2.24.31-r1]
    [ebuild     U  ]   dev-libs/gobject-introspection-common-1.56.1 [1.52.1]
    [ebuild  N     ] dev-perl/XML-Twig-3.520.0  USE="nls {-test}" 
    [nomerge       ] dev-perl/libwww-perl-6.270.0  USE="ssl {-test}" 
    [ebuild  N     ]  dev-perl/LWP-Protocol-https-6.70.0  USE="{-test}" 
    [ebuild  N     ]   dev-perl/libwww-perl-6.270.0  USE="ssl {-test}" 
    [nomerge       ] dev-vcs/git-2.19.2 [2.16.1]
    [ebuild     U  ]  dev-perl/Net-SMTP-SSL-1.40.0 [1.30.0]
    [nomerge       ] dev-perl/LWP-Protocol-https-6.70.0  USE="{-test}" 
    [ebuild  N     ]  dev-perl/Net-HTTP-6.170.0  USE="-minimal {-test}" 
    [ebuild     U  ]   dev-perl/IO-Socket-SSL-2.52.0 [2.48.0]
    [nomerge       ] net-ftp/ftp-0.17.23.0.2.1 
    [ebuild     U  ]  dev-libs/openssl-1.0.2q [1.0.2n]
    [nomerge       ] media-plugins/gst-plugins-a52dec-1.14.3 [1.12.3]
    [ebuild     U  ]  dev-lang/orc-0.4.28-r1 [0.4.27]
    [nomerge       ] virtual/man-0-r1 
    [nomerge       ]  sys-apps/man-db-2.7.6.1-r2 
    [nomerge       ]   app-text/po4a-0.47-r1 
    [ebuild     U  ]    dev-perl/SGMLSpm-1.1-r1 [1.03-r7]
    [nomerge       ] dev-perl/libwww-perl-6.270.0  USE="ssl {-test}" 
    [nomerge       ]  dev-perl/Net-HTTP-6.170.0  USE="-minimal {-test}" 
    [ebuild  N     ]   dev-perl/IO-Socket-INET6-2.720.0-r1 
    [nomerge       ] dev-perl/XML-Twig-3.520.0  USE="nls {-test}" 
    [ebuild  N     ]  dev-perl/Tie-IxHash-1.230.0  USE="{-test}" 
    [nomerge       ] dev-perl/File-MimeInfo-0.280.0 [0.270.0]
    [ebuild     U  ]  dev-perl/File-DesktopEntry-0.220.0 [0.40.0-r1]
    [nomerge       ] dev-vcs/git-2.19.2 [2.16.1]
    [ebuild     U  ]  dev-perl/Error-0.170.250 [0.170.240]
    [nomerge       ] dev-perl/File-DesktopEntry-0.220.0 [0.40.0-r1]
    [ebuild     U  ]  dev-perl/File-BaseDir-0.70.0 [0.30.0-r1]
    [ebuild     U  ]   dev-perl/Module-Build-0.422.400 [0.421.600]
    [ebuild     U  ]    virtual/perl-CPAN-Meta-2.150.10-r1 [2.150.5-r1]
    [ebuild     U  ]     virtual/perl-JSON-PP-2.274.0.200_rc [2.273.0.100_rc-r5]
    [ebuild     U  ]    virtual/perl-ExtUtils-Manifest-1.700.0-r5 [1.700.0-r4]
    [ebuild     U  ]    virtual/perl-ExtUtils-ParseXS-3.340.0 [3.310.0-r1]
    [ebuild     U  ]    virtual/perl-Module-Metadata-1.0.33-r1 [1.0.31-r1]
    [ebuild     U  ]    virtual/perl-Perl-OSType-1.10.0-r1 [1.9.0-r1]
    [ebuild     U  ]    virtual/perl-Text-ParseWords-3.300.0-r4 [3.300.0-r3]
    [ebuild  N     ]    virtual/perl-podlators-4.90.0 
    [ebuild     U  ]    virtual/perl-version-0.991.700 [0.991.600-r1]
    [nomerge       ] dev-vcs/git-2.19.2 [2.16.1]
    [nomerge       ]  dev-perl/Authen-SASL-2.160.0-r1 
    [nomerge       ]   dev-perl/Digest-HMAC-1.30.0-r1 
    [ebuild     U  ]    virtual/perl-Digest-SHA-5.960.0 [5.950.100_rc-r5]
    [nomerge       ] dev-perl/libwww-perl-6.270.0  USE="ssl {-test}" 
    [ebuild  N     ]  dev-perl/WWW-RobotRules-6.20.0-r1 
    [ebuild  N     ]  dev-perl/HTTP-Negotiate-6.10.0-r1 
    [ebuild  N     ]  dev-perl/HTTP-Cookies-6.40.0  USE="{-test}" 
    [ebuild  N     ]  dev-perl/HTTP-Daemon-6.10.0-r2 
    [ebuild  N     ]   dev-perl/HTTP-Message-6.130.0  USE="{-test}" 
    [ebuild  N     ]    dev-perl/URI-1.730.0  USE="{-test}" 
    [ebuild  N     ]     virtual/perl-parent-0.236.0-r1 
    [nomerge       ] dev-perl/Net-DBus-1.1.0  USE="{-test}" 
    [ebuild  N     ]  virtual/perl-Time-HiRes-1.974.100-r2 
    [nomerge       ] dev-perl/Net-HTTP-6.170.0  USE="-minimal {-test}" 
    [ebuild  N     ]  virtual/perl-IO-Socket-IP-0.380.0 
    [ebuild  N     ]  virtual/perl-IO-Compress-2.74.0-r1 
    [ebuild  N     ]   virtual/perl-Compress-Raw-Bzip2-2.74.0-r1 
    [nomerge       ] dev-perl/HTTP-Negotiate-6.10.0-r1 
    [nomerge       ]  dev-perl/HTTP-Message-6.130.0  USE="{-test}" 
    [ebuild  N     ]   virtual/perl-Storable-2.620.0 
    [nomerge       ] app-text/po4a-0.47-r1 
    [ebuild     U  ]  dev-perl/TermReadKey-2.370.0 [2.330.0] USE="-examples%" 
    [nomerge       ] dev-perl/libwww-perl-6.270.0  USE="ssl {-test}" 
    [nomerge       ]  dev-perl/HTTP-Message-6.130.0  USE="{-test}" 
    [ebuild  N     ]   dev-perl/IO-HTML-1.1.0  USE="{-test}" 
    [nomerge       ] dev-perl/IO-Socket-INET6-2.720.0-r1 
    [ebuild  N     ]  dev-perl/Socket6-0.280.0 
    [nomerge       ] dev-perl/libwww-perl-6.270.0  USE="ssl {-test}" 
    [ebuild  N     ]  dev-perl/File-Listing-6.40.0-r1 
    [ebuild  N     ]  dev-perl/Try-Tiny-0.300.0  USE="-minimal {-test}" 
    [ebuild  N     ]  dev-perl/HTML-Parser-3.720.0  USE="{-test}" 
    [ebuild  N     ]   dev-perl/HTML-Tagset-3.200.0-r1 
    [nomerge       ] dev-perl/XML-Twig-3.520.0  USE="nls {-test}" 
    [ebuild  N     ]  dev-perl/XML-XPath-1.420.0  USE="-examples {-test}" 
    [ebuild  N     ]  dev-perl/Text-Iconv-1.700.0-r2 
    [nomerge       ] dev-perl/File-MimeInfo-0.280.0 [0.270.0]
    [nomerge       ]  dev-perl/File-BaseDir-0.70.0 [0.30.0-r1]
    [ebuild  N     ]   dev-perl/IPC-System-Simple-1.250.0  USE="{-test}" 
    [nomerge       ] dev-perl/Try-Tiny-0.300.0  USE="-minimal {-test}" 
    [ebuild     U  ]  dev-perl/Sub-Name-0.210.0 [0.150.0]
    [nomerge       ] dev-vcs/git-2.19.2 [2.16.1]
    [ebuild  N     ]  dev-perl/MailTools-2.190.0  USE="-examples {-test}" 
    [ebuild  N     ]   dev-perl/TimeDate-2.300.0 
    [nomerge       ] x11-drivers/nvidia-drivers-415.25 [390.42]
    [nomerge       ]  x11-libs/gtk+-3.24.1 [3.22.19] USE="-gtk-doc%" 
    [nomerge       ]   gnome-base/librsvg-2.40.18 
    [nomerge       ]    x11-libs/cairo-1.14.12 
    [nomerge       ]     sys-libs/binutils-libs-2.29.1-r1 
    [nomerge       ]      sys-apps/texinfo-6.3 
    [ebuild     U  ]       dev-perl/libintl-perl-1.280.0 [1.240.0-r2]
    [ebuild     U  ]       dev-perl/Text-Unidecode-1.300.0 [1.270.0]
    [nomerge       ] dev-perl/Error-0.170.250 [0.170.240]
    [nomerge       ]  dev-perl/Module-Build-0.422.400 [0.421.600]
    [ebuild     U  ]   virtual/perl-CPAN-Meta-YAML-0.18.0-r3 [0.18.0-r2]
    [ebuild     U  ]   virtual/perl-Parse-CPAN-Meta-2.150.10-r1 [1.441.700.100_rc-r3]
    [nomerge       ] dev-perl/XML-Twig-3.520.0  USE="nls {-test}" 
    [nomerge       ]  dev-perl/HTML-Parser-3.720.0  USE="{-test}" 
    [ebuild     U  ]   virtual/perl-XSLoader-0.270.0 [0.220.0-r3]
    [nomerge       ] dev-perl/Digest-HMAC-1.30.0-r1 
    [ebuild     U  ]  virtual/perl-Digest-MD5-2.550.0 [2.540.0-r3]
    [nomerge       ] dev-perl/libwww-perl-6.270.0  USE="ssl {-test}" 
    [ebuild     U  ]  virtual/perl-Getopt-Long-2.490.0 [2.480.0-r1]
    [ebuild  N     ]  dev-perl/HTTP-Date-6.20.0-r1 
    [ebuild  N     ]   virtual/perl-Time-Local-1.250.0-r1 
    [ebuild  N     ]  dev-perl/Encode-Locale-1.50.0  USE="{-test}" 
    [nomerge       ] dev-perl/HTTP-Cookies-6.40.0  USE="{-test}" 
    [nomerge       ]  dev-perl/HTTP-Message-6.130.0  USE="{-test}" 
    [ebuild  N     ]   virtual/perl-Compress-Raw-Zlib-2.74.0 
    [ebuild  N     ]   dev-perl/LWP-MediaTypes-6.20.0-r1 
    [nomerge       ] dev-perl/MailTools-2.190.0  USE="-examples {-test}" 
    [ebuild     U  ]  virtual/perl-libnet-3.100.0 [3.80.100_rc-r3]
    [nomerge       ] dev-perl/LWP-Protocol-https-6.70.0  USE="{-test}" 
    [nomerge       ]  dev-perl/IO-Socket-SSL-2.52.0 [2.48.0]
    [nomerge       ]   dev-perl/Net-SSLeay-1.820.0 
    [ebuild     U  ]    virtual/perl-MIME-Base64-3.150.0-r4 [3.150.0-r3]
    [nomerge       ] dev-perl/HTTP-Daemon-6.10.0-r2 
    [ebuild  N     ]  virtual/perl-IO-1.380.0 
    [nomerge       ] dev-perl/File-DesktopEntry-0.220.0 [0.40.0-r1]
    [nomerge       ]  dev-perl/URI-1.730.0  USE="{-test}" 
    [ebuild     U  ]   virtual/perl-File-Spec-3.670.0 [3.630.100_rc-r3]
    [ebuild     U  ]   virtual/perl-Scalar-List-Utils-1.460.200_rc [1.420.200_rc-r1]
    [ebuild  N     ]   virtual/perl-Encode-2.880.0 
    [ebuild  N     ]   virtual/perl-Carp-1.420.0 
    [ebuild     U  ]   virtual/perl-ExtUtils-MakeMaker-7.240.0 [7.100.200_rc-r3]
    [ebuild     U  ]   virtual/perl-Data-Dumper-2.167.0 [2.160.0-r1]
    [nomerge       ] dev-perl/Tie-IxHash-1.230.0  USE="{-test}" 
    [nomerge       ]  dev-perl/Module-Build-0.422.400 [0.421.600]
    [ebuild     U  ]   virtual/perl-Test-Harness-3.380.0 [3.360.100_rc-r3]
    [ebuild     U  ]    dev-lang/perl-5.26.2 [5.24.3]
    [ebuild     U  ]    dev-lang/perl-5.24.3-r1 [5.24.3]
    [nomerge       ] mail-mta/nullmailer-2.0-r1 
    [ebuild     U  ]  virtual/logger-0-r1 [0]
    [ebuild     U  ] sys-apps/coreutils-8.29-r1 [8.28-r1] USE="split-usr%*" 
    [ebuild     U  ] sys-devel/patch-2.7.6-r2 [2.7.6-r1]
    [nomerge       ] app-cdr/brasero-3.12.2-r1 
    [ebuild     U  ]  media-libs/libdvdcss-1.4.2 [1.4.0]
    [nomerge       ] media-libs/gegl-0.2.0-r5  USE="jpeg*" 
    [nomerge       ]  gnome-base/librsvg-2.40.18 
    [ebuild     U  ]   dev-libs/vala-common-0.36.15 [0.36.7]
    [ebuild     U  ]  media-libs/libpng-1.6.35-r1 [1.6.29]
    [nomerge       ] app-admin/sudo-1.8.25_p1-r1 [1.8.20_p2] USE="-sasl% -sssd%" 
    [nomerge       ]  virtual/pam-0-r1 
    [nomerge       ]   sys-libs/pam-1.3.0-r2 [1.2.1-r2] USE="-vim-syntax%" 
    [ebuild   R    ]    sys-libs/cracklib-2.9.6-r1  PYTHON_TARGETS="python3_6* -python3_5*" 
    [ebuild     U  ] sys-apps/file-5.34 [5.32] PYTHON_TARGETS="python3_6* -python3_5* (-python3_7)" 
    [ebuild     U  ]  sys-libs/zlib-1.2.11-r2 [1.2.11-r1]
    [nomerge       ] app-admin/sudo-1.8.25_p1-r1 [1.8.20_p2] USE="-sasl% -sssd%" 
    [nomerge       ]  virtual/tmpfiles-0 
    [ebuild     U  ]   sys-apps/opentmpfiles-0.2 [0.1.3]
    [nomerge       ] net-misc/netifrc-0.5.1 
    [nomerge       ]  sys-apps/openrc-0.38.3-r1 [0.34.11]
    [ebuild     U  ]   sys-apps/sysvinit-2.91-r1 [2.88-r9]
    [nomerge       ] media-sound/jack-audio-connection-kit-0.125.0  USE="alsa pam (-altivec) (-coreaudio) -debug -doc -examples -oss" ABI_X86="(64) -32 (-x32)" CPU_FLAGS_X86="sse -3dnow" 
    [ebuild  N     ]  sys-process/lsof-4.91  USE="ipv6 -examples -rpc (-selinux)" 
    [nomerge       ] x11-drivers/nvidia-drivers-415.25 [390.42]
    [ebuild     U  ]  dev-libs/jansson-2.11 [2.10]
    [nomerge       ] sys-devel/llvm-6.0.1 [5.0.1] USE="libffi ncurses -debug -doc -gold -libedit {-test} -xar -xml" ABI_X86="(64) -32 (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 -ARM -Hexagon -Lanai -MSP430 -Mips -PowerPC -Sparc -SystemZ -XCore" 
    [ebuild     U  ]  sys-devel/llvm-common-6.0.1 [5.0.1]
    [nomerge       ] www-client/firefox-bin-64.0.2-r1 [52.6.0]
    [nomerge       ]  x11-libs/pango-1.42.4 [1.40.14]
    [nomerge       ]   media-libs/harfbuzz-1.7.2 
    [nomerge       ]    x11-libs/cairo-1.14.12 
    [ebuild     U  ]     dev-libs/lzo-2.10 [2.09]
    [nomerge       ] media-libs/libepoxy-1.5.3 [1.4.2]
    [nomerge       ]  dev-util/ninja-1.8.2 
    [ebuild     U  ]   dev-util/re2c-1.0.3 [0.16]
    [nomerge       ] media-gfx/gimp-2.8.22-r1 
    [nomerge       ]  gnome-base/librsvg-2.40.18 
    [nomerge       ]   sys-devel/autoconf-2.69-r4 
    [ebuild     U  ]    sys-devel/autoconf-wrapper-13-r1 [13]
    [nomerge       ] media-libs/libcanberra-0.30-r5  USE="pulseaudio*" 
    [nomerge       ]  media-sound/pulseaudio-12.2 [11.1] USE="jack* -gconf% -qt5%" 
    [ebuild     U  ]   dev-libs/libatomic_ops-7.6.6 [7.6.0]
    [nomerge       ] media-libs/gegl-0.2.0-r5  USE="jpeg*" 
    [nomerge       ]  sys-devel/automake-1.11.6-r3 
    [ebuild     U  ]   sys-devel/automake-wrapper-11 [10]
    [nomerge       ] dev-qt/qtgui-5.11.3 [5.7.1-r1] USE="jpeg* libinput* -vnc%" 
    [ebuild     U  ]  dev-qt/qtchooser-0_p20170803 [0_p20151008]
    [nomerge       ] x11-libs/xcb-util-cursor-0.1.3-r2 [0.1.3-r1]
    [ebuild     U  ]  dev-util/gperf-3.1 [3.0.4]
    [nomerge       ] sys-devel/gcc-7.3.0-r3 [6.4.0-r1] USE="cxx fortran (multilib) nls nptl openmp pch (pie) sanitize ssp vtv (-altivec) -cilk -debug -doc (-fixed-point) -go -graphite (-hardened) (-jit) (-libssp) -mpx -objc -objc++ -objc-gc -pgo -regression-test -vanilla" 
    [ebuild     U  ]  sys-devel/gcc-config-2.0 [1.8-r1]
    [nomerge       ] sys-apps/portage-2.3.51-r1 [2.3.24-r1] USE="rsync-verify*" PYTHON_TARGETS="python3_6* -python3_5* (-python3_7)" 
    [ebuild  N     ]  app-crypt/openpgp-keys-gentoo-release-20190102  USE="{-test}" 
    [nomerge       ] sys-boot/grub-2.02-r1 [2.02]
    [nomerge       ]  app-misc/pax-utils-1.2.3 [1.2.2-r2]
    [ebuild     U  ]   sys-libs/libseccomp-2.3.3 [2.3.2]
    [ebuild     U  ] app-arch/gzip-1.9 [1.8]
    [nomerge       ] virtual/libc-1 
    [nomerge       ]  sys-libs/glibc-2.25-r10 
    [ebuild     U  ]   sys-libs/timezone-data-2018i [2017c]
    [nomerge       ] x11-base/xorg-server-1.19.5-r1 
    [nomerge       ]  x11-apps/iceauth-1.0.8 
    [nomerge       ]   x11-libs/libICE-1.0.9-r2 [1.0.9-r1]
    [ebuild     U  ]    dev-libs/libbsd-0.9.1 [0.8.6]
    [ebuild     U  ] app-arch/bzip2-1.0.6-r10 [1.0.6-r8]
    [nomerge       ] sys-devel/make-4.2.1-r4 [4.2.1]
    [nomerge       ]  sys-devel/gettext-0.19.8.1 
    [ebuild     U  ]   sys-libs/ncurses-6.1-r2 [6.0-r1]
    [nomerge       ] dev-python/pyxattr-0.6.0-r1 [0.5.5] PYTHON_TARGETS="python3_6%* -python3_5* (-python3_7)" 
    [ebuild     U  ]  dev-lang/python-exec-2.4.6 [2.4.5] PYTHON_TARGETS="(-python3_7)" 
    [nomerge       ] virtual/libc-1 
    [ebuild     U  ]  sys-libs/glibc-2.27-r6 [2.25-r10] USE="multiarch%* (-compile-locales) -doc%" 
    [nomerge       ] x11-drivers/xf86-input-evdev-2.10.6 [2.10.5]
    [ebuild     U  ]  sys-kernel/linux-headers-4.14-r1 [4.13]
    [blocks B      ] <sys-libs/glibc-2.26 ("<sys-libs/glibc-2.26" is blocking net-libs/rpcsvc-proto-1.3.1-r1)
    [blocks B      ] <x11-proto/renderproto-0.11.1-r2 ("<x11-proto/renderproto-0.11.1-r2" is blocking x11-base/xorg-proto-2018.4)
    [blocks B      ] <x11-proto/damageproto-1.2.1-r2 ("<x11-proto/damageproto-1.2.1-r2" is blocking x11-base/xorg-proto-2018.4)
    [blocks B      ] <x11-proto/inputproto-2.3.2-r1 ("<x11-proto/inputproto-2.3.2-r1" is blocking x11-base/xorg-proto-2018.4)
    [blocks B      ] <x11-proto/presentproto-1.1-r1 ("<x11-proto/presentproto-1.1-r1" is blocking x11-base/xorg-proto-2018.4)
    [blocks B      ] <x11-proto/trapproto-3.4.3-r1 ("<x11-proto/trapproto-3.4.3-r1" is blocking x11-base/xorg-proto-2018.4)
    [blocks B      ] <x11-proto/dri3proto-1.0-r1 ("<x11-proto/dri3proto-1.0-r1" is blocking x11-base/xorg-proto-2018.4)
    [blocks B      ] <x11-proto/fontsproto-2.1.3-r1 ("<x11-proto/fontsproto-2.1.3-r1" is blocking x11-base/xorg-proto-2018.4)
    [blocks B      ] <x11-proto/resourceproto-1.2.0-r1 ("<x11-proto/resourceproto-1.2.0-r1" is blocking x11-base/xorg-proto-2018.4)
    [blocks B      ] <x11-proto/scrnsaverproto-1.2.2-r2 ("<x11-proto/scrnsaverproto-1.2.2-r2" is blocking x11-base/xorg-proto-2018.4)
    [blocks B      ] <x11-proto/bigreqsproto-1.1.2-r1 ("<x11-proto/bigreqsproto-1.1.2-r1" is blocking x11-base/xorg-proto-2018.4)
    [blocks B      ] <x11-proto/randrproto-1.5.0-r1 ("<x11-proto/randrproto-1.5.0-r1" is blocking x11-base/xorg-proto-2018.4)
    [blocks B      ] <x11-proto/xf86dgaproto-2.1-r3 ("<x11-proto/xf86dgaproto-2.1-r3" is blocking x11-base/xorg-proto-2018.4)
    [blocks B      ] <x11-proto/fixesproto-5.0-r2 ("<x11-proto/fixesproto-5.0-r2" is blocking x11-base/xorg-proto-2018.4)
    [blocks B      ] <x11-proto/xcmiscproto-1.2.2-r1 ("<x11-proto/xcmiscproto-1.2.2-r1" is blocking x11-base/xorg-proto-2018.4)
    [blocks B      ] <x11-proto/xproto-7.0.31-r1 ("<x11-proto/xproto-7.0.31-r1" is blocking x11-base/xorg-proto-2018.4)
    [blocks B      ] <x11-proto/xextproto-7.3.0-r1 ("<x11-proto/xextproto-7.3.0-r1" is blocking x11-base/xorg-proto-2018.4)
    [blocks B      ] <x11-proto/xineramaproto-1.2.1-r2 ("<x11-proto/xineramaproto-1.2.1-r2" is blocking x11-base/xorg-proto-2018.4)
    [blocks B      ] <x11-proto/glproto-1.4.17-r2 ("<x11-proto/glproto-1.4.17-r2" is blocking x11-base/xorg-proto-2018.4)
    [blocks B      ] <x11-proto/recordproto-1.14.2-r2 ("<x11-proto/recordproto-1.14.2-r2" is blocking x11-base/xorg-proto-2018.4)
    [blocks B      ] <x11-proto/dri2proto-2.8-r2 ("<x11-proto/dri2proto-2.8-r2" is blocking x11-base/xorg-proto-2018.4)
    [blocks B      ] <x11-proto/videoproto-2.3.3-r1 ("<x11-proto/videoproto-2.3.3-r1" is blocking x11-base/xorg-proto-2018.4)
    [blocks B      ] <x11-proto/xf86driproto-2.1.1-r2 ("<x11-proto/xf86driproto-2.1.1-r2" is blocking x11-base/xorg-proto-2018.4)
    [blocks B      ] <x11-proto/compositeproto-0.4.2-r2 ("<x11-proto/compositeproto-0.4.2-r2" is blocking x11-base/xorg-proto-2018.4)
    [blocks B      ] <x11-proto/kbproto-1.0.7-r1 ("<x11-proto/kbproto-1.0.7-r1" is blocking x11-base/xorg-proto-2018.4)
    [blocks B      ] <x11-proto/xf86vidmodeproto-2.3.1-r2 ("<x11-proto/xf86vidmodeproto-2.3.1-r2" is blocking x11-base/xorg-proto-2018.4)

    !!! Multiple package instances within a single package slot have been pulled
    !!! into the dependency graph, resulting in a slot conflict:

    dev-lang/perl:0

      (dev-lang/perl-5.26.2:0/5.26::gentoo, ebuild scheduled for merge) pulled in by
        =dev-lang/perl-5.26* required by (virtual/perl-Test-Harness-3.380.0:0/0::gentoo, ebuild scheduled for merge)
        ^              ^^^^^                                                                                         
        (and 35 more with the same problem)

      (dev-lang/perl-5.24.3-r1:0/5.24::gentoo, ebuild scheduled for merge) pulled in by
        dev-lang/perl:0/5.24= required by (virtual/perl-File-Temp-0.230.400-r5:0/0::gentoo, installed)
                     ^^^^^^^^                                                                          
        (and 22 more with the same problem)

    sys-libs/glibc:2.2

      (sys-libs/glibc-2.27-r6:2.2/2.2::gentoo, ebuild scheduled for merge) pulled in by
        >=sys-libs/glibc-2.26[multilib?] required by (dev-java/icedtea-bin-3.9.0-r1:8/8::gentoo, ebuild scheduled for merge)
        ^^               ^^^^                                                                                                

      (sys-libs/glibc-2.25-r10:2.2/2.2::gentoo, installed) pulled in by
        <sys-libs/glibc-2.26 required by (net-libs/libnsl-0:0/1::gentoo, installed)
        ^               ^^^^                                                        

    NOTE: Use the '--verbose-conflicts' option to display parents omitted above

    It may be possible to solve this problem by using package.mask to
    prevent one of those packages from being selected. However, it is also
    possible that conflicting dependencies exist such that they are
    impossible to satisfy simultaneously.  If such a conflict exists in
    the dependencies of two different packages, then those packages can
    not be installed simultaneously.

    For more information, see MASKED PACKAGES section in the emerge man
    page or refer to the Gentoo Handbook.


     * Error: The above package list contains packages which cannot be
     * installed at the same time on the same system.

      (x11-proto/xf86vidmodeproto-2.3.1-r1:0/0::gentoo, installed) pulled in by
        >=x11-proto/xf86vidmodeproto-2.2.99.1 required by (x11-base/xorg-server-1.19.5-r1:0/1.19.5::gentoo, installed)

      (x11-proto/compositeproto-0.4.2-r1:0/0::gentoo, installed) pulled in by
        >=x11-proto/compositeproto-0.4 required by (x11-base/xorg-server-1.19.5-r1:0/1.19.5::gentoo, installed)

      (x11-proto/inputproto-2.3.2:0/0::gentoo, installed) pulled in by
        >=x11-proto/inputproto-2.3 required by (x11-base/xorg-server-1.19.5-r1:0/1.19.5::gentoo, installed)

      (x11-base/xorg-proto-2018.4:0/0::gentoo, ebuild scheduled for merge) pulled in by
        x11-base/xorg-proto required by (x11-libs/libXtst-1.2.3-r1:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-libs/libvdpau-1.1.1:0/0::gentoo, installed)
        x11-base/xorg-proto required by (x11-libs/xcb-util-cursor-0.1.3-r2:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-libs/libXaw-1.0.13-r1:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-misc/slim-1.3.6-r5:0/0::gentoo, installed)
        x11-base/xorg-proto required by (x11-apps/xprop-1.2.3:0/0::gentoo, installed)
        x11-base/xorg-proto required by (x11-libs/xcb-util-image-0.4.0-r1:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-libs/libICE-1.0.9-r2:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (media-libs/mesa-18.2.8:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-libs/libXdamage-1.1.4-r2:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-libs/libXfixes-5.0.3-r1:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-libs/libXrender-0.9.10-r1:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-libs/libXxf86vm-1.1.4-r1:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-drivers/xf86-input-evdev-2.10.6:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (media-sound/pulseaudio-12.2:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (media-libs/gst-plugins-base-1.14.4-r1:1.0/1.0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-libs/libXt-1.1.5-r1:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (media-gfx/feh-2.18.3:0/0::gentoo, installed)
        x11-base/xorg-proto required by (x11-libs/libXmu-1.1.2-r1:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-libs/libXScrnSaver-1.2.3:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-libs/libXfont2-2.0.3-r1:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-libs/libXinerama-1.1.4:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-apps/iceauth-1.0.8:0/0::gentoo, installed)
        x11-base/xorg-proto required by (x11-libs/libxkbfile-1.0.9-r2:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-libs/gtk+-3.24.1:3/3::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-libs/libXft-2.3.2-r1:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-apps/sessreg-1.1.1:0/0::gentoo, installed)
        x11-base/xorg-proto required by (x11-libs/libXcomposite-0.4.4-r2:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-apps/mkfontscale-1.1.3:0/0::gentoo, installed)
        x11-base/xorg-proto required by (x11-libs/libSM-1.2.3:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-apps/rgb-1.0.6:0/0::gentoo, installed)
        x11-base/xorg-proto required by (x11-libs/motif-2.3.8-r1:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-libs/libXi-1.7.9-r1:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-libs/libX11-1.6.7:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-wm/openbox-3.6.1:3/3::gentoo, installed)
        x11-base/xorg-proto required by (x11-libs/libXv-1.0.11-r1:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-drivers/xf86-input-synaptics-1.9.1:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-libs/libfontenc-1.1.3-r1:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (media-libs/libmpeg2-0.5.1-r2:0/0::gentoo, installed)
        x11-base/xorg-proto required by (x11-libs/xcb-util-keysyms-0.4.0-r1:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-libs/libXext-1.3.3-r1:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-libs/pango-1.42.4:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-libs/cairo-1.14.12:0/0::gentoo, installed)
        x11-base/xorg-proto required by (x11-libs/libxshmfence-1.3-r1:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-libs/gtk+-2.24.32-r1:2/2::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-libs/libXrandr-1.5.1-r1:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-libs/libXdmcp-1.1.2-r2:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-libs/libxkbcommon-0.8.2:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-libs/libXpm-3.5.12-r1:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-apps/bdftopcf-1.1:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-libs/libXau-1.0.8-r1:0/0::gentoo, ebuild scheduled for merge)
        x11-base/xorg-proto required by (x11-terms/xterm-327:0/0::gentoo, installed)

      (x11-proto/xextproto-7.3.0:0/0::gentoo, installed) pulled in by
        >=x11-proto/xextproto-7.2.99.901 required by (x11-base/xorg-server-1.19.5-r1:0/1.19.5::gentoo, installed)
        >=x11-proto/xextproto-7.2.1-r1[abi_x86_64(-)] required by (media-libs/imlib2-1.4.9:0/0::gentoo, installed)
        >=x11-proto/xextproto-7.2.1-r1[abi_x86_64(-)] required by (x11-proto/fixesproto-5.0-r1:0/0::gentoo, installed)

      (x11-proto/resourceproto-1.2.0:0/0::gentoo, installed) pulled in by
        >=x11-proto/resourceproto-1.2.0 required by (x11-base/xorg-server-1.19.5-r1:0/1.19.5::gentoo, installed)

      (x11-proto/xcmiscproto-1.2.2:0/0::gentoo, installed) pulled in by
        >=x11-proto/xcmiscproto-1.2.0 required by (x11-base/xorg-server-1.19.5-r1:0/1.19.5::gentoo, installed)

      (x11-proto/fixesproto-5.0-r1:0/0::gentoo, installed) pulled in by
        >=x11-proto/fixesproto-5.0 required by (x11-base/xorg-server-1.19.5-r1:0/1.19.5::gentoo, installed)

      (x11-proto/xf86driproto-2.1.1-r1:0/0::gentoo, installed) pulled in by
        >=x11-proto/xf86driproto-2.1.0 required by (x11-base/xorg-server-1.19.5-r1:0/1.19.5::gentoo, installed)

      (x11-proto/dri3proto-1.0:0/0::gentoo, installed) pulled in by
        >=x11-proto/dri3proto-1.0 required by (x11-base/xorg-server-1.19.5-r1:0/1.19.5::gentoo, installed)

      (x11-proto/presentproto-1.1:0/0::gentoo, installed) pulled in by
        >=x11-proto/presentproto-1.0 required by (x11-base/xorg-server-1.19.5-r1:0/1.19.5::gentoo, installed)

      (x11-proto/damageproto-1.2.1-r1:0/0::gentoo, installed) pulled in by
        >=x11-proto/damageproto-1.1 required by (x11-base/xorg-server-1.19.5-r1:0/1.19.5::gentoo, installed)

      (x11-proto/glproto-1.4.17-r1:0/0::gentoo, installed) pulled in by
        >=x11-proto/glproto-1.4.17-r1 required by (x11-base/xorg-server-1.19.5-r1:0/1.19.5::gentoo, installed)

      (x11-proto/xf86dgaproto-2.1-r2:0/0::gentoo, installed) pulled in by
        >=x11-proto/xf86dgaproto-2.0.99.1 required by (x11-base/xorg-server-1.19.5-r1:0/1.19.5::gentoo, installed)

      (x11-proto/xproto-7.0.31:0/0::gentoo, installed) pulled in by
        x11-proto/xproto required by (games-board/xboard-4.8.0-r1:0/0::gentoo, installed)
        >=x11-proto/xproto-7.0.31 required by (x11-base/xorg-server-1.19.5-r1:0/1.19.5::gentoo, installed)
        >=x11-proto/xproto-7.0.24[abi_x86_64(-)] required by (media-libs/imlib2-1.4.9:0/0::gentoo, installed)

      (net-libs/rpcsvc-proto-1.3.1-r1:0/0::gentoo, ebuild scheduled for merge) pulled in by
        net-libs/rpcsvc-proto required by (net-fs/autofs-5.1.2:0/0::gentoo, ebuild scheduled for merge)

      (x11-proto/videoproto-2.3.3:0/0::gentoo, installed) pulled in by
        >=x11-proto/videoproto-2.2.2 required by (x11-base/xorg-server-1.19.5-r1:0/1.19.5::gentoo, installed)

      (x11-proto/randrproto-1.5.0:0/0::gentoo, installed) pulled in by
        >=x11-proto/randrproto-1.5.0 required by (x11-base/xorg-server-1.19.5-r1:0/1.19.5::gentoo, installed)

      (x11-proto/renderproto-0.11.1-r1:0/0::gentoo, installed) pulled in by
        >=x11-proto/renderproto-0.11 required by (x11-base/xorg-server-1.19.5-r1:0/1.19.5::gentoo, installed)

      (x11-proto/xineramaproto-1.2.1-r1:0/0::gentoo, installed) pulled in by
        >=x11-proto/xineramaproto-1.1.3 required by (x11-base/xorg-server-1.19.5-r1:0/1.19.5::gentoo, installed)

      (x11-proto/fontsproto-2.1.3:0/0::gentoo, installed) pulled in by
        >=x11-proto/fontsproto-2.1.3 required by (x11-base/xorg-server-1.19.5-r1:0/1.19.5::gentoo, installed)

      (x11-proto/trapproto-3.4.3:0/0::gentoo, installed) pulled in by
        >=x11-proto/trapproto-3.4.3 required by (x11-base/xorg-server-1.19.5-r1:0/1.19.5::gentoo, installed)

      (x11-proto/recordproto-1.14.2-r1:0/0::gentoo, installed) pulled in by
        >=x11-proto/recordproto-1.13.99.1 required by (x11-base/xorg-server-1.19.5-r1:0/1.19.5::gentoo, installed)

      (x11-proto/bigreqsproto-1.1.2:0/0::gentoo, installed) pulled in by
        >=x11-proto/bigreqsproto-1.1.0 required by (x11-base/xorg-server-1.19.5-r1:0/1.19.5::gentoo, installed)

      (x11-proto/scrnsaverproto-1.2.2-r1:0/0::gentoo, installed) pulled in by
        >=x11-proto/scrnsaverproto-1.1 required by (x11-base/xorg-server-1.19.5-r1:0/1.19.5::gentoo, installed)

      (x11-proto/kbproto-1.0.7:0/0::gentoo, installed) pulled in by
        >=x11-proto/kbproto-1.0.3 required by (x11-base/xorg-server-1.19.5-r1:0/1.19.5::gentoo, installed)

      (x11-proto/dri2proto-2.8-r1:0/0::gentoo, installed) pulled in by
        >=x11-proto/dri2proto-2.8 required by (x11-base/xorg-server-1.19.5-r1:0/1.19.5::gentoo, installed)


    For more information about Blocked Packages, please refer to the following
    section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

    https://wiki.gentoo.org/wiki/Handbook:X86/Working/Portage#Blocked_packages


    The following USE changes are necessary to proceed:
     (see "package.use" in the portage(5) man page for more details)
    # required by x11-libs/libxcb-1.13.1::gentoo
    # required by x11-libs/xcb-util-image-0.4.0-r1::gentoo
    # required by x11-libs/xcb-util-0.4.0-r1::gentoo
    >=x11-base/xcb-proto-1.13 abi_x86_32

    Use --autounmask-write to write changes to config files (honoring
    CONFIG_PROTECT). Carefully examine the list of proposed changes,
    paying special attention to mask or keyword changes that may expose
    experimental or unstable packages.

     * In order to avoid wasting time, backtracking has terminated early
     * due to the above autounmask change(s). The --autounmask-backtrack=y
     * option can be used to force further backtracking, but there is no
     * guarantee that it will produce a solution.

    !!! The following installed packages are masked:
    - sys-libs/binutils-libs-2.29.1-r1::gentoo (masked by: package.mask)
    /usr/portage/profiles/package.mask:
    # Micha&#322; G�rny <mgorny@gentoo.org>, Andreas K. H�ttel <dilfridge@gentoo.org>,
    # Matthias Maier <tamiko@gentoo.org> (21 May 2017 and later updates)
    # These old versions of toolchain packages (binutils, gcc, glibc) are no
    # longer officially supported and are not suitable for general use. Using
    # these packages can result in build failures (and possible breakage) for
    # many packages, and may leave your system vulnerable to known security
    # exploits.
    # If you still use one of these old toolchain packages, please upgrade (and
    # switch the compiler / the binutils) ASAP. If you need them for a specific
    # (isolated) use case, feel free to unmask them on your system.

    - x11-base/xorg-server-1.19.5-r1::gentoo (masked by: package.mask)
    /usr/portage/profiles/package.mask:
    # Jeroen Roovers <jer@gentoo.org> (14 Dec 2018)
    # Deprecated short lived branches https://www.nvidia.com/object/unix.html
    # Unsupported legacy branch 304 https://bugs.gentoo.org/669588
    # See https://nvidia.custhelp.com/app/answers/detail/a_id/3142 for timelines on
    # upstream support for various branches. File a bug report if you absolutely
    # must use one of these ebuilds.
    # Removal on or about 16 January 2019

    - sys-libs/glibc-2.25-r10::gentoo (masked by: package.mask)
    - x11-base/xorg-drivers-1.19::gentoo (masked by: package.mask)
    - net-libs/libnsl-0::gentoo (masked by: package.mask)
    /usr/portage/profiles/package.mask:
    # Andreas K. H�ttel <dilfridge@gentoo.org> (11 Sep 2018)
    # Mask transition ebuilds that were needed only for <glibc-2.26
    # We will keep them in the tree as long as we have masked
    # <glibc-2.26.

    For more information, see the MASKED PACKAGES section in the emerge
    man page or refer to the Gentoo Handbook.

    

To address some of the masked package issues, I tried to upgrade those packages first:


    emerge -va dev-lang/perl
    emerge -av www-client/firefox-bin
    emerge -va sys-devel/binutils
    emerge -va x11-base/xorg-server]

    

Then very quickly became blocked on Perl version slot conflict - two versions required and only one slot. Although I did not know this at the time, this may because I was not working with @world which would upgrade all packages latest Perl. By sometimes focussing on just say @xserver, it was having to leave packages outside this set on the old version, which caused the conflict.


     * IMPORTANT: config file '/etc/portage/package.keywords/zz-autounmask' needs updating.
     * See the CONFIGURATION FILES and CONFIGURATION FILES UPDATE TOOLS
     * sections of the emerge man page to learn how to update config files.

    These are the packages that would be merged, in reverse order:

    Calculating dependencies... done!

    !!! Multiple package instances within a single package slot have been pulled
    !!! into the dependency graph, resulting in a slot conflict:

    dev-lang/perl:0

      (dev-lang/perl-5.26.2:0/5.26::gentoo, ebuild scheduled for merge) pulled in by
        (no parents that aren't satisfied by other packages in this slot)

      (dev-lang/perl-5.24.3-r1:0/5.24::gentoo, ebuild scheduled for merge) pulled in by
        dev-lang/perl:0/5.24= required by (dev-perl/Locale-gettext-1.70.0:0/0::gentoo, installed)
                     ^^^^^^^^                                                                                                        
        (and 4 more with the same problem)

    NOTE: Use the '--verbose-conflicts' option to display parents omitted above

    It may be possible to solve this problem by using package.mask to
    prevent one of those packages from being selected. However, it is also
    possible that conflicting dependencies exist such that they are
    impossible to satisfy simultaneously.  If such a conflict exists in
    the dependencies of two different packages, then those packages can
    not be installed simultaneously. You may want to try a larger value of
    the --backtrack option, such as --backtrack=30, in order to see if
    that will solve this conflict automatically.

    For more information, see MASKED PACKAGES section in the emerge man
    page or refer to the Gentoo Handbook.


    !!! All ebuilds that could satisfy "~app-admin/apache-tools-2.4.34" have been masked.
    !!! One of the following masked packages is required to complete your request:
    - app-admin/apache-tools-2.4.34::gentoo (masked by: EAPI 7)

    The current version of portage supports EAPI '6'. You must upgrade to a
    newer version of portage before EAPI masked packages can be installed.
    (dependency required by "www-servers/apache-2.4.34-r2::gentoo" [ebuild])
    (dependency required by "@apps" [set])
    (dependency required by "@selected" [set])
    (dependency required by "@world" [argument])
    For more information, see the MASKED PACKAGES section in the emerge
    man page or refer to the Gentoo Handbook.

    

But back to the issues further up:

Lessons

After this was all done, I moved to this update the kernel (and copied old config over) using this excellent https://wiki.gentoo.org/wiki/Kernel/Upgrade.